\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage{graphicx}

\title{Sprint 1}
\author{Alain Mahieu, Hieu Le, Jeongkyeong Park, Liangkun He and Tomasz Karg}

\date{\today}

\begin{document}


\maketitle

\section{Sprint 1 planning}

    \begin{enumerate}
        \item Backend
        \begin{itemize}
            \item Implementation of feature to make inputs for process trees and event logs.
            \item Implementation of input preprocessing: preprocess the event logs.
            \item Implementation of extracting footprints from process trees and event logs. 
            \item Implementation of footprint storage: initialize a new database, function to store footprint matrix, function to retrieve stored footprint matrix. 
            
        \end{itemize}
        \item Frontend \\
            HTTP endpoints: 
            \begin{itemize}
                \item Index pages: welcome page.
                \item Input page: skeletons (buttons, text fields and so on).
                \item Representation page: 2 tabs for process tree and footprint matrices. 
            \end{itemize}
    \end{enumerate}

\section{Status}
This sprint was all about getting started. That means we focused on implementing the first part of our main feature, namely the extraction of footprint matrices from eventlogs and processtrees. In addition we started to implement a first layout for the server architecture. In the following we provide an overview of things we already established.
    
    \subsection{Achieved}
        In the following we described how much time we spent on each task. For details some tasks were added/removed/postponed during the sprint.

    \begin{center}
        \begin{tabular}{|p{9.7cm}|p{1.65cm}|p{1.5cm}|}
        
            \hline
            Task & Spent time & Comment  \\
            \hline
        
        \end{tabular}    
    \end{center} \\ \\

    \textbf{Footprint Extraction Algorithm (est: 30h, spent:15h)} \\
    	\begin{tabular}{|p{9.7cm}|p{1.65cm}|p{1.5cm}|}
    		
    		\hline
    		Implement functions to load Eventlogs & 1h & \\
    		\hline
    		Write Unittests for load functions & 0.5h & \\
    		\hline
    		Implement the Algorithm to extract Footprints from Eventlogs & 2h & \\
    		\hline
    		Write Unittests for Extraction of Footprints from Eventlogs & 3h & \\
    		\hline 
    		Implement functions to extract Footprints from Processtrees & 3h & \\
    		\hline
    		Write Unittests for Extraction of Footprints from Processtrees & 4h & \\
    		\hline
    		Research the PM4Py documentation & 1.5h & \\
    		\hline
    		Document Extractor feature & & postponed\\
    		\hline	
    		
    	\end{tabular} \\ \\
    
    \textbf{Input preprocessing (est: 10h, spent:15h)} \\
    	\begin{tabular}{|p{9.7cm}|p{1.65cm}|p{1.5cm}|}
    		
    		\hline
    		Implement functions for the preprocessing part & 5h & \\
    		\hline
    		Research the PM4Py documentation & 7h & \\
    		\hline
    		Extra research for my part & 3h & \\
    		\hline
    		Document Extractor feature & & postponed\\
    		\hline	
    		
    	\end{tabular} \\ \\ 
    	
    \textbf{Footprint Storage (est: 5h, spent: h)} \\
        \begin{tabular}{|p{9.7cm}|p{1.65cm}|p{1.5cm}|}
    
             \hline
             Initialize a new Database & 1h & postponed\\
             \hline
             Implement Functionality to store footprints & 2h & postponed \\
             \hline
             Implement Functionality to receive stored footprints & 2h & postponed\\
             \hline
             
        \end{tabular} \\ \\


    \textbf{Server Interface (est: 8h, spent: 6h)} \\
        \begin{tabular}{|p{9.7cm}|p{1.65cm}|p{1.5cm}|}
    
             \hline
             Getting familiar with Flask, HTML and CSS & 2h & \\
             \hline
             Implement http endpoint & 2h & \\
             \hline
             Implement pages for process tree and footprint matrices & 1h & \\
             \hline
             Implement UI & 1h & \\
             \hline
             
        \end{tabular} \\
    
\subsection{To-do}

\section{Sprint review}
\subsection{Alain Mahieu}
"In this Sprint I worked on the Implementation of the functionality to extract footprints from Eventlogs and from Processtrees. The extraction of footprints from eventlogs was more intuitive than it was for processtrees so it took me more time to find everything I need to handle process trees. Writing Unittests was difficult at first because I have never really dealt with writing Unittests. I did however manage to write a decent amount of tests that in my opinion should cover a good amount of basic failures that did all pass. However I can not really tell if they are tailored to pass or not but I hope the next Sprint will tell. I postponed the Documentation of the extraction feature until we actually have an idea on how it will be used. All together I think it was a good start for me into this project."


\subsection{Hieu Le}
"In this Sprint, I tried to write methods for the Input preprocessing purpose. At first, I encountered many problems with setting up the environment for the project (for the PM4Py library). Then for the input preprocessing methods, I also spent much time in researching and implementing it because the library is new for me and sometimes, I received problems when directly applying the direction from PM4Py documentation (i.e., applying the direction from the "Filter on attributes values" part, I received AttributeError: module 'pm4py.algo.filtering.\\log.attributes.attributes\_ filter' has no attribute 'Parameters'). In general, I find the project very interesting and I'm looking forward to next sprints."

\subsection{Jeongkyeong Park}
"In this sprint we focused on what we really can do and what to do in the next sprint. We had to spend pretty much time for something like we just getting know about. And there was a mistake with the time for the sprint 1, so I just needed more time to solve my tasks which are related to Footprint Storage. In the next sprint it must be solved the postponed tasks."

\subsection{Liangkun He}
"In this sprint my focus was on front-end, which means to develop a web server using flask framework. The main difficulty for me was getting familiar with flask, html and css, in which I did not have much hands-on experience. I managed to achieve the major goal of this sprint, which was implementing a skeleton of our web server containing a home page, a page for process tree and a page for footprint matrices." 

\subsection{Tomasz Karg}

\end{document}
